/**
 * Check if a node is a `<script>` that contains or references JavaScript.
 *
 * Returns `true` if `node` is a `<script>` element that has a valid JavaScript
 * `type`, has no `type` and a valid JavaScript `language`, or has neither.
 *
 * @param {Nodes} node
 *   Node to check.
 * @returns {boolean}
 *   Whether a node is a `<script>` that contains or references JavaScript.
 */
export function isJavaScript(node: Nodes): boolean;
export type Nodes = import('hast').Nodes;
export type Properties = import('hast').Properties;
export type PropertyValue = Properties[keyof Properties];
